import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./stateful-overview.stories";

<Meta of={ComponentStories} name="Docs" />

# StatefulOverview

The `<ux-iws-stateful-overview>` component renders the list data it retrieves from the related `ContentDataProvider`
with the respective scope.

The user can switch between view mode `table` or `grid`.
Depending on the view mode, either a `<ux-iws-stateful-table>` or `<ux-iws-stateful-tiles>` is rendered.

The component is connected to any `<ux-iws-stateful-filter>` component with the same `scope`.

## Page Example:

[MySoftware Overview Page Template](./?path=/story/mytrumpf-page-templates-my-software-overview--my-software-overview)

<Canvas of={ComponentStories.Default}></Canvas>

## Developer Documentation

<Controls />
